# Content Block Module

The **Content Block** module (`content_block`) provides a flexible way to embed as a block any content dynamically with customizable options.

## Features

- Configure the following options:
    - **Entity Type**: Select the type of entity to display (e.g., nodes, taxonomy terms).
    - **Bundle**: Choose the specific bundle (e.g., content type).
    - **View Mode**: Define how the content is rendered.
    - **Number of Items**: Specify the number of items to display.
    - **Sorting**: Set the sorting criteria for the displayed items.
    - **Columns**: Render the results in 1, 2, or 3 columns.
- Embed blocks anywhere blocks are supported in Drupal.
    - Block Layout
    - Layout Builder
    - Views
    - ...

## Installation

1. Download and place the module in the modules/contrib/content_block directory of your Drupal installation, or download it with composer:
    ```
    composer require drupal/content_block
    ```
2. Enable the module via the **Extend** page in the Drupal admin interface or using Drush:
     ```bash
     drush en content_block
     ```
## Dependencies

This module depends on the following core module:

   - **Layout Discovery**: Ensures compatibility with Layout Builder and other layout-related features. It is used for rendering the content in different layouts.

## Usage

1. Navigate to the **Block Layout** page, or find the block in any other way from the interface.
2. Select the **Content Block** from the list of available blocks.
3. Configure the block settings to define the entity type, bundle, view mode, number of items, sorting, and columns.
4. Save the block and place it in the desired region.

## Requirements

- Drupal 10 or higher.

## Maintainers

This module is maintained by [pgrandeg](http://drupal.org/u/pgrandeg). Contributions and feedback are welcome!

## License

This project is licensed under the [GPL-2.0-or-later](https://www.gnu.org/licenses/gpl-2.0.html).  