<?php

namespace Drupal\content_block\Plugin;

use Drupal\Core\Entity\Query\QueryInterface;

/**
 * Defines an interface for ContentBlockOption plugins.
 */
interface ContentBlockOptionInterface {

  /**
   * Gets the form field for the option.
   *
   * @param mixed $default_value
   *   The default value for the form field.
   *
   * @return array
   *   The form field.
   */
  public function getFormField($default_value = NULL): array;

  /**
   * Adds a condition to the query.
   *
   * @param \Drupal\Core\Entity\Query\QueryInterface $query
   *   The entity query to modify.
   * @param array $param
   *   The parameters for the block.
   */
  public function addConditionToQuery(QueryInterface &$query, string $param): void;

}
